## asterisk 1.6.2.1-1

=== sounds/Makefile ===
#
# Asterisk -- A telephony toolkit for Linux.
# 
# Makefile for sound files
#
# Copyright (C) 2006, Digium, Inc.
#
# Kevin P. Fleming <kpfleming@digium.com>
#
# This program is free software, distributed under the terms of
# the GNU General Public License
#

.PHONY: dist-clean all uninstall have_download install

-include $(ASTTOPDIR)/menuselect.makeopts $(ASTTOPDIR)/makeopts

SOUNDS_DIR:=$(DESTDIR)$(ASTDATADIR)/sounds
MOH_DIR:=$(DESTDIR)$(ASTDATADIR)/moh
CORE_SOUNDS_VERSION:=1.4.17
EXTRA_SOUNDS_VERSION:=1.4.10
SOUNDS_URL:=http://downloads.asterisk.org/pub/telephony/sounds/releases
MCS:=$(subst -EN-,-en-,$(MENUSELECT_CORE_SOUNDS))
MCS:=$(subst -FR-,-fr-,$(MCS))
MCS:=$(subst -ES-,-es-,$(MCS))
MCS:=$(subst -WAV,-wav,$(MCS))
MCS:=$(subst -ULAW,-ulaw,$(MCS))
MCS:=$(subst -ALAW,-alaw,$(MCS))
MCS:=$(subst -GSM,-gsm,$(MCS))
MCS:=$(subst -G729,-g729,$(MCS))
MCS:=$(subst -G722,-g722,$(MCS))
MCS:=$(subst -SLN16,-sln16,$(MCS))
MCS:=$(subst -SIREN7,-siren7,$(MCS))
MCS:=$(subst -SIREN14,-siren14,$(MCS))
CORE_SOUNDS:=$(MCS:CORE-SOUNDS-%=asterisk-core-sounds-%-$(CORE_SOUNDS_VERSION).tar.gz)
CORE_SOUND_TAGS:=$(MCS:CORE-SOUNDS-%=$(SOUNDS_DIR)/.asterisk-core-sounds-%-$(CORE_SOUNDS_VERSION))
MES:=$(subst -EN-,-en-,$(MENUSELECT_EXTRA_SOUNDS))
MES:=$(subst -FR-,-fr-,$(MES))
MES:=$(subst -ES-,-es-,$(MES))
MES:=$(subst -WAV,-wav,$(MES))
MES:=$(subst -ULAW,-ulaw,$(MES))
MES:=$(subst -ALAW,-alaw,$(MES))
MES:=$(subst -GSM,-gsm,$(MES))
MES:=$(subst -G729,-g729,$(MES))
MES:=$(subst -G722,-g722,$(MES))
MES:=$(subst -SLN16,-sln16,$(MES))
MES:=$(subst -SIREN7,-siren7,$(MES))
MES:=$(subst -SIREN14,-siren14,$(MES))
EXTRA_SOUNDS:=$(MES:EXTRA-SOUNDS-%=asterisk-extra-sounds-%-$(EXTRA_SOUNDS_VERSION).tar.gz)
EXTRA_SOUND_TAGS:=$(MES:EXTRA-SOUNDS-%=$(SOUNDS_DIR)/.asterisk-extra-sounds-%-$(EXTRA_SOUNDS_VERSION))
MM:=$(subst -OPSOUND-,-opsound-,$(MENUSELECT_MOH))
MM:=$(subst -WAV,-wav,$(MM))
MM:=$(subst -ULAW,-ulaw,$(MM))
MM:=$(subst -ALAW,-alaw,$(MM))
MM:=$(subst -GSM,-gsm,$(MM))
MM:=$(subst -G729,-g729,$(MM))
MM:=$(subst -G722,-g722,$(MM))
MM:=$(subst -SLN16,-sln16,$(MM))
MM:=$(subst -SIREN7,-siren7,$(MM))
MM:=$(subst -SIREN14,-siren14,$(MM))
MOH:=$(MM:MOH-%=asterisk-moh-%.tar.gz)
MOH_TAGS:=$(MM:MOH-%=$(MOH_DIR)/.asterisk-moh-%)
# If "fetch" is used, --continue is not a valid option.
ifeq ($(WGET),wget)
WGET_ARGS:=--continue
endif

all: $(CORE_SOUNDS) $(EXTRA_SOUNDS) $(MOH)

have_download:
	@if test "$(DOWNLOAD)" = ":" ; then \
		echo "**************************************************"; \
		echo "***                                            ***"; \
		echo "*** You must have either wget or fetch to be   ***"; \
		echo "*** able to automatically download and install ***"; \
		echo "*** the requested sound packages.              ***"; \
		echo "***                                            ***"; \
		echo "*** Please install one of these, or remove any ***"; \
		echo "*** extra sound package selections in          ***"; \
		echo "*** menuselecct before installing Asterisk.    ***"; \
		echo "***                                            ***"; \
		echo "**************************************************"; \
		exit 1; \
	fi

$(SOUNDS_DIR)/.asterisk-core-sounds-en-%: have_download
	@PACKAGE=$(subst $(SOUNDS_DIR)/.asterisk,asterisk,$@).tar.gz; \
	if test ! -f $${PACKAGE}; then $(DOWNLOAD) $(WGET_ARGS) $(SOUNDS_URL)/$${PACKAGE}; fi; \
	if test ! -f $${PACKAGE}; then exit 1; fi; \
	rm -f $(subst -$(CORE_SOUNDS_VERSION),,$@)-* && \
	(cd $(SOUNDS_DIR)/en; cat $(CURDIR)/$${PACKAGE} | gzip -d | tar xof -) && \
	touch $@

$(SOUNDS_DIR)/.asterisk-core-sounds-es-%: have_download
	@PACKAGE=$(subst $(SOUNDS_DIR)/.asterisk,asterisk,$@).tar.gz; \
	if test ! -f $${PACKAGE}; then $(DOWNLOAD) $(WGET_ARGS) $(SOUNDS_URL)/$${PACKAGE}; fi; \
	if test ! -f $${PACKAGE}; then exit 1; fi; \
	rm -f $(subst -$(CORE_SOUNDS_VERSION),,$@)-* && \
	(cd $(SOUNDS_DIR)/es; cat $(CURDIR)/$${PACKAGE} | gzip -d | tar xof -) && \
	touch $@

$(SOUNDS_DIR)/.asterisk-core-sounds-fr-%: have_download
	@PACKAGE=$(subst $(SOUNDS_DIR)/.asterisk,asterisk,$@).tar.gz; \
	if test ! -f $${PACKAGE}; then $(DOWNLOAD) $(WGET_ARGS) $(SOUNDS_URL)/$${PACKAGE}; fi; \
	if test ! -f $${PACKAGE}; then exit 1; fi; \
	rm -f $(subst -$(CORE_SOUNDS_VERSION),,$@)-* && \
	(cd $(SOUNDS_DIR)/fr; cat $(CURDIR)/$${PACKAGE} | gzip -d | tar xof -) && \
	touch $@

$(SOUNDS_DIR)/.asterisk-extra-sounds-en-%: have_download
	@PACKAGE=$(subst $(SOUNDS_DIR)/.asterisk,asterisk,$@).tar.gz; \
	if test ! -f $${PACKAGE}; then $(DOWNLOAD) $(WGET_ARGS) $(SOUNDS_URL)/$${PACKAGE}; fi; \
	if test ! -f $${PACKAGE}; then exit 1; fi; \
	rm -f $(subst -$(EXTRA_SOUNDS_VERSION),,$@)-* && \
	(cd $(SOUNDS_DIR)/en; cat $(CURDIR)/$${PACKAGE} | gzip -d | tar xof -) && \
	touch $@

$(SOUNDS_DIR)/.asterisk-extra-sounds-es-%: have_download
	@PACKAGE=$(subst $(SOUNDS_DIR)/.asterisk,asterisk,$@).tar.gz; \
	if test ! -f $${PACKAGE}; then $(DOWNLOAD) $(WGET_ARGS) $(SOUNDS_URL)/$${PACKAGE}; fi; \
	if test ! -f $${PACKAGE}; then exit 1; fi; \
	rm -f $(subst -$(EXTRA_SOUNDS_VERSION),,$@)-* && \
	(cd $(SOUNDS_DIR)/es; cat $(CURDIR)/$${PACKAGE} | gzip -d | tar xof -) && \
	touch $@

$(SOUNDS_DIR)/.asterisk-extra-sounds-fr-%: have_download
	@PACKAGE=$(subst $(SOUNDS_DIR)/.asterisk,asterisk,$@).tar.gz; \
	if test ! -f $${PACKAGE}; then $(DOWNLOAD) $(WGET_ARGS) $(SOUNDS_URL)/$${PACKAGE}; fi; \
	if test ! -f $${PACKAGE}; then exit 1; fi; \
	rm -f $(subst -$(EXTRA_SOUNDS_VERSION),,$@)-* && \
	(cd $(SOUNDS_DIR)/fr; cat $(CURDIR)/$${PACKAGE} | gzip -d | tar xof -) && \
	touch $@

$(MOH_DIR)/.asterisk-moh-%: have_download
	@PACKAGE=$(subst $(MOH_DIR)/.asterisk,asterisk,$@).tar.gz; \
	if test ! -f $${PACKAGE}; then $(DOWNLOAD) $(WGET_ARGS) $(SOUNDS_URL)/$${PACKAGE}; fi; \
	if test ! -f $${PACKAGE}; then exit 1; fi; \
	(cd $(MOH_DIR); cat $(CURDIR)/$${PACKAGE} | gzip -d | tar xof -) && \
	touch $@

asterisk-core-%.tar.gz: have_download
	@if test ! -f $@ && test ! -f $(SOUNDS_DIR)/.$(subst .tar.gz,,$@) ; then $(DOWNLOAD) $(WGET_ARGS) $(SOUNDS_URL)/$@;fi

asterisk-extra-%.tar.gz: have_download
	@if test ! -f $@ && test ! -f $(SOUNDS_DIR)/.$(subst .tar.gz,,$@) ; then $(DOWNLOAD) $(WGET_ARGS) $(SOUNDS_URL)/$@;fi

asterisk-moh-%.tar.gz: have_download
	@if test ! -f $@ && test ! -f $(MOH_DIR)/.$(subst .tar.gz,,$@) ; then $(DOWNLOAD) $(WGET_ARGS) $(SOUNDS_URL)/$@;fi

dist-clean:
	

$(SOUNDS_DIR)/en $(MOH_DIR) $(SOUNDS_DIR)/es $(SOUNDS_DIR)/fr:
	mkdir -p $@

install: $(SOUNDS_DIR)/en $(SOUNDS_DIR)/es $(SOUNDS_DIR)/fr $(MOH_DIR) $(CORE_SOUND_TAGS) $(EXTRA_SOUND_TAGS) $(MOH_TAGS)

uninstall:
	rm -rf $(SOUNDS_DIR)
	rm -rf $(MOH_DIR)

core_sounds_version:
	@echo $(CORE_SOUNDS_VERSION)

extra_sounds_version:
	@echo $(EXTRA_SOUNDS_VERSION)

=== debian/changelog ===
asterisk (1:1.6.2.1-1) unstable; urgency=low

  * Update to 1.6.2.1
  * Build-Depends:
    libjack-dev,
    libavcodec-dev,
    libgsm1-dev,
    libsamplerate0-dev,
    libresample1-dev

 -- Jeff Moe <moe@blagblagblag.org>  Sat, 23 Jan 2010 03:39:44 -0700

asterisk (1:1.6.2.0-4) unstable; urgency=low

  * chmod 755 /opt/asterisk/bin/asterisk-maemo

 -- Jeff Moe <moe@blagblagblag.org>  Tue, 22 Dec 2009 19:45:03 -0300

asterisk (1:1.6.2.0-3) unstable; urgency=low

  * Change Section: from user/comm to user/network

 -- Jeff Moe <moe@blagblagblag.org>  Sun, 20 Dec 2009 15:06:23 -0300

asterisk (1:1.6.2.0-2) unstable; urgency=low

  * Chown /opt/asterisk/etc/* in asterisk.postinst not
    asterisk-config.postinst because asterisk-config gets
    installed first so there is no "asterisk" user.
  * Remove extraneous "done" in asterisk.postinst...

 -- Jeff Moe <moe@blagblagblag.org>  Sat, 19 Dec 2009 20:07:22 -0300

asterisk (1:1.6.2.0-1) unstable; urgency=low

  * chown asterisk: /opt/asterisk/etc/* in asterisk-config.postinst
    The original scripts didn't get the files chowned...
  * Process icon cache in asterisk.postinst (and add GPL to top).

 -- Jeff Moe <moe@blagblagblag.org>  Sat, 19 Dec 2009 19:28:16 -0300

asterisk (1:1.6.2.0-0) unstable; urgency=low

  * Update to 1.6.2.0
  * Depends: bash (for init.d/asterisk)
  * Change asterisk.init from sh to bash to workaround maemo bug #6606.
  * Add /opt/asterisk/sbin to init PATH.
  * asterisk.postinst, use bash not sh
  * rm debian/optify
  * Change filesystem layout thusly:
    /etc/default/asterisk
    /etc/init.d/asterisk
    /etc/logrotate.d/asterisk
    /opt/asterisk/doc
    /opt/asterisk/etc
    /opt/asterisk/lib
    /opt/asterisk/modules
    /opt/asterisk/sbin
    /opt/asterisk/share
    /opt/asterisk/share/man
    /opt/asterisk/var/lib
    /opt/asterisk/var/log
    /opt/asterisk/var/spool
    /opt/include/asterisk
    /var/run/asterisk
  * Add bugtracker https://bugs.maemo.org/enter_bug.cgi?product=asterisk
  * Shorten description to drop mention of non-used hardware,
    and Free Software-ize it ;)
  * XB-Maemo-Display-Name: asterisk
  * Add XB-Maemo-Icon-26:
  * Add 64x64 and 48x48 icons.
  * Add .desktop file
  * Add asterisk-maemo script called by .desktop to start asterisk and
    launch console in xterm. :)
  * Add asterisk.sudoers to allow user "user" to control asterisk as non-root.

 -- Jeff Moe <moe@blagblagblag.org>  Sat, 19 Dec 2009 16:32:24 -0300

asterisk (1:1.6.1.11-2) unstable; urgency=low

  * Don't rm sounds on dist-clean. Drop upstream patch that was
    intended to do this, but didn't. In rules, sed it out.
  * Section: user/comm
  * Don't use maemo-optify, do it "manually".
  * --prefix from /usr to /opt in rules.
    --datadir=\$${prefix}/share, etc.
  * ASTDATADIR=/opt/share/asterisk
  * Use /opt not /usr: /opt/share/asterisk/conf
  * Change /etc/asterisk to /opt/etc/asterisk in rules. Normally in
    Maemo, configs still go to /etc, but in asterisk's case the
    default configs are 600k (!), so punt to /opt.
  * s/usr/opt/ in asterisk-dev.install, asterisk-sounds-main.install,
    asterisk.install
  * opt/ before etc/ in asterisk-config.dirs, asterisk-config.install
    asterisk-config.postinst, asterisk-config.preinst, asterisk.postinst
  * Prefix everything with /opt in asterisk.dirs
  * Prefix everything with /opt in asterisk.init
  * No -doc, cuz dh_installdocs only wants /usr.

 -- Jeff Moe <moe@blagblagblag.org>  Tue, 15 Dec 2009 01:16:28 -0300

asterisk (1:1.6.1.11-1) unstable; urgency=low

  * Adapt for Maemo 5.
  * Remove Build-Depends: libgsm1-dev, libtonezone-dev, libpq-dev,
    unixodbc-dev, libpri-dev, libss7-dev, libvpb-dev, dahdi-source,
    libnewt-dev, libsqlite-dev, libopenh323-dev, libiksemel-dev,
    libradiusclient-ng-dev, freetds-dev, libsnmp-dev, libc-client2007e-dev,
    libc-client2007b-dev, libjack-dev, liblua5.1-0-dev, libcap2-dev,
    libspandsp-dev, libopenais-dev
  * Downgrade Build-Depends: debhelper, lsb-base, libcap-dev
  * Remove Depends: dahdi
  * Remove Recommends: sox
  * Remove Suggests: asterisk-doc, asterisk-dev, asterisk-h323
  * Kludge adding to audio/dialout group in .postinst
  * Change maintainter/uploader to me.
  * Provides: asterisk-1.6.1
  * No asterisk-h323 package
  * No chan_h323.so in rules
  * No asterisk-h323.install
  * Remove patches: hack-multiple-app-voicemail, h323-no-deps-on-asterisk,
    h323-fix-makefile, h323-workaround-openh323-segfault, dahdi-fxsks-hookstate,
    dahdi_ptmp_nt, dahdi_pri_debug_spannums
  * Remove ./configure: --with-cap --with-gsm --with-imap=system
    --with-pwlib=/usr/share/pwlib/include/ --with-h323=/usr/share/openh323/
  * No dh_lintian
  * Don't install share/asterisk/documentation (maemo-optify)

 -- Jeff Moe <moe@blagblagblag.org>  Mon, 07 Dec 2009 15:42:28 -0300

asterisk (1:1.6.2.0~rc6-1) unstable; urgency=low

  * New upstream release candidate.
    - Drop paches/AST-2009-007, included upstream.
    - Drop patches/configure-armel, merged upstream.
    - Fixes security-related information leak (SIP responses expose valid
      usernames), fixes AST-2009-008. (Closes: #554487)
  * Switch to the "3.0 (quilt)" package source format.
  * Create the /usr/share/asterisk/agi-bin directory. (Closes: #463983)
  * Stop shipping the refcounter tool since the required debugging
    compile-time switch is not enabled in our builds.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 16 Nov 2009 06:10:10 +0200

asterisk (1:1.6.2.0~rc3-2) unstable; urgency=high

  [ Faidon Liambotis ]
  * Really ship MoH sounds, as mentioned in the rc1 upload.
  * Move dahdi to Should-Start instead of Required-Start in the init script.
    (Closes: #552604)
  * Security fix: "ACL check not present for verifying SIP INVITEs",
    AST-2009-007. (Closes: #552756)
  * Urgency high because of security fix upload.

  [ Tzafrir Cohen ]
  * Add a sample startup init script. Not installed.


=== debian/control ===
Source: asterisk
Priority: optional
Section: user/network
Maintainer: Jeff Moe <moe@blagblagblag.org>
Uploaders: Jeff Moe <moe@blagblagblag.org>
Build-Depends: quilt, 
 debhelper (>= 5.0.42),
 lsb-base (>= 3.2),
 libreadline-dev | libreadline5-dev,
 libssl-dev,
 libasound2-dev,
 autotools-dev,
 libspeex-dev,
 libspeexdsp-dev,
 graphviz,
 libcurl4-openssl-dev | libcurl-dev,
 libxml2-dev,
 gsfonts,
 libpopt-dev,
 libvorbis-dev,
 libgmime-2.0-2-dev | libgmime2-dev,
 libcap-dev (>= 1:1.10),
 zlib1g-dev,
 libjack-dev,
 libavcodec-dev,
 libgsm1-dev,
 libsamplerate0-dev,
 libresample1-dev
Standards-Version: 3.8.3
Homepage: http://www.asterisk.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/asterisk/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/asterisk/?op=log

Package: asterisk
Architecture: any
Depends: ${shlibs:Depends}, asterisk-config (= ${source:Version}) | asterisk-config-custom, adduser, asterisk-sounds-main, bash
Provides: asterisk-1.6.1
Recommends:
Suggests:
Description: Free Software Private Branch Exchange (PBX)
 Asterisk is a Free Software PBX and telephony toolkit.  It is, in a
 sense, middleware between Internet and telephony channels on the bottom,
 and Internet and telephony applications at the top.
 .
 Asterisk can be used with Voice over IP (SIP, H.323, IAX and more) standards.
 .
 This is the main package that includes the Asterisk daemon and most channel
 drivers and applications.
Xsbc-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=asterisk
XB-Maemo-Display-Name: asterisk
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAA
 AAZiS0dEAP8A/wD/oL2nkwAAF/lJREFUaN7teWmUVcXV9rOrzjl36L49N910A93M
 iMwgIAKKgBhFReM8D1EhztGgwQEIIKIiAqKIiBo1DogKgqAoo4AIIhCg6YYe6JGm
 5759hzNU7fcHicHky7ferDc/s9c6f2rVqaqn9lB7Pxv4r/xX/k9C/+Y8PnMsGUDf
 ya+IyhND+PAtw6lVJ9L6zmk6ZZctmn21dGc+PEwEQODieDhbuHZCitOmkry4bpRB
 edRIjY9KfqcOJ+/XF78A2vASVFJxs9naJUG8/3V/jF/TqHuNfhORAeM9u6fF/3EA
 AHjKcYgLTsAcvB+8y/+duuW+kQoAmlpqR/uby8ahrki5p45qf2bnKZLQnr0ItHbB
 5AN5fEK1Fn3opHWPU0ZPYWb29QdScqeeufF8lWcdLhmPF7ovd9N/uf+/BeBfSwnL
 /LZ3ZFm/2x0AiNYe3ilOHcqRNftTdd2RJK/5OLxoM8hugsEOMzEpISG0ZtJEnhmC
 EUyBlZgDZA2Gyh5QZnQaJkUkcreXnDXXSus06Pv1sEaM+VRN+HKrWN80VOOum9R/
 BkDKIMLGl/FtKJAzQrTNMdpO3KYKVsOr3M1knyLhTwJC7UGhbIjkzlCKyyCDAsKE
 0HEG7DTPiYZkUzHoVCGceJh1KBOiwxDIs24kWBnwhUJwkhLGBJL7b7m76R7fuynj
 VJyu9f52BOPfO3GIgDADwNWjr6JPtn3K4di64YaTtss5uh5ctVNTMF2ITiPIyBkY
 cZ34Ep3RN+bPyAdl9vBb/tQnzlytWbmj/M3Hx3P1QVe5bZcYzSXDdeEaoGgdu7XH
 EOh2ITgxhe2EszfreNtk4U98vemBZTIVwKwnH6Gn5yz4u0ndjWeJfaAvu04m8OUC
 Lzxq5Z+8SIAh/eoq8cURBNqugVmSsvxnrTlHPmuML+nbGp7j47ZFPdjbPJu9Lc/f
 U7Dntt57T36b/wb3trj175f0pQdrUe+rxNVnNYkzgfB3SKj/6f12FUWfdLQP/Hl2
 dPV9HH4uWceeD3H84+s4vO5+Hf3iHo61RqYAwFTuLsc/vk+wDfPnRWLTswlzc8WK
 jQONsyq/Mj74FsbCq843LtsH3+VDPIHq9835n6cKMFOkqXhZ27bnOTyvnW5ZkMPR
 b55ir+rgd/9f5S2MEXYuMnfgTeJNMHaXwEL1GgPOLvHde0NEu6PrTZ/DfgDw6g7P
 cDY9yuEXsvWphZ24bdWN7L12oXZ+ep1PNZ3o3G6MKZ4HqMiD/+f1r8c+GjkVcuyG
 DjKKLWJFEYK9cbF8dogwkj4WcuXs900A8Eq+WBZdcydH5qWryGc3c7zovd1ua/Vc
 AHhg9VW+0xGoap5TtXu6V7Vvule1d4aq3DG9pa38eQDA2AJa9xdYJWEE9+yFfGbe
 RQJ/8SxUsoWdlQZmHCMAcFsq7oltn8lNL6Tq+IJ8tt+5mCNvnMPRH99fAQAl34wy
 fmyB7xeXdP5MiJIvgqJ9H8jFo/YJsWA4yZlzzUtvPK2qaMXm7fF3xrA7L0u5Oxdy
 4efXd/yQY+kAcP4KiBW2ZQBA+OCHHF55PTuf3s7uqus4suoqjh15lwGgL1gEdu80
 b18H6X4I61gzzL4N58iFk6aJBiyiYxtMkVHzBwMAvC1rxkQ/vYHD89M4svgsjjzf
 XkfW3ctuc9V3AFD2DOTP9tmJiS46P0DLaiZQzaxPZeA9UmW/LU9sKtiRZZ56mz55
 JuWRyPonR/qjNTB+tVgU9b0m5YHHJka+6RWQ1+VC0GBHbvVZro4VXKd++BD2kY+h
 ZBAKCo524Us7G6q1/BGZRAvgaXF08y185Q2fqLXb5mDnkBmUnLaHfpfbV1/WlETF
 RUu4ZVYwoW3UuKJgaZJW5bsExVvBIka6eB3sThd2AoCTb5zxLDD7jT3zk0ysZYt/
 yPJdMBqirfqH6apqG7s1uzi2bCw7iwapeOkWPqGbzvmFEwKEosPm7KOPntbUniXc
 Oi+d7fmd2X0xl+3nMtjZ9SoDwJrKPEN+UiquPffDX4RwOvSyRMFmIx9Ml3RkgRVM
 ANDWXDvT/XwKx+ekceTlDI7NMbnti3tjTScPXAUAf48GT8fVpO6v87CPwOem3WF+
 8MTaRKe+dIaKaES3z4Lj1TJfvUJEq6oy80Tqnmj4x0vDFX+pi7ZW3U8Ah5/ti0t6
 LpUAYHAAkh3YwoYjGR4BygwAAETuCSsjp1Z8vOt6bms+NSVaebghemJDP+7zsOp4
 zXr+YEuivG1fL8lLbpHY8JO5W+x/jvteXN0qozC8dACJkDV/8QdqDvQDPyPF3x6z
 ebMZaucNXBcm9WLXuWZaRnlL0KliKvoAVLEfvrHzaVP7/qlH97zc7GP2Wa32O3r1
 zenyuwWLG1dNvXjj4hN5gyjiAAD5AC0VIF1I+AGWIPO0tU4kRDf3ycxu/HHRvda2
 6a/q1belWma7zV/PZFlw6Cw69/yIPpxxDNC9Gau+V2OTJsQ4e2i9mTYArJoBXwJ0
 pBK6cX/WK0euEOJv+c0WfIoZvYGSz6EHHVl33C7bwrqhimJFa9kbNQMt3cae04mo
 ZcQju1V9S/mT0X3vpqOpgLxDr3Owbcf6iQWfFzqnCqcDgBAS0k2AtP3wtAsiG4aZ
 CABwKw9O6XZsfbn/4MdL3SMr2Wk4Qs7+t9NGPXj8mUTc4eXtAG1pHMswixmbjgEA
 vPCpe30ZfQGOA8KAdqKMtN6TJyd36HjahARoA9Zj8q1QzSVbHnB2PJUqkzqTUbIZ
 Rq8raeU5d2d0XnveAZdAxY2FHYyqH57k46uRGMiAtNqRV30Y8a2zhLtr3jPhusIK
 lplg0wRMBpGGlD5A21C1h044u19a4n79NBknj8OQQQokJkAdXQlRvf+prS1NnRMf
 WS4/OLBR3pz+Jt/S8EdgNdNt2f1/4LR8MDSYAKE9onA9VFMDn9arBoO3UV3jicHW
 kT8t0m6MRe0+JmmSGDS59V6iBt6NhGHNy5w1xW/5dUGxSIg1suvLJdd1YfhTYHmA
 ffhDOPVHOxiJPSCEgOEpeDBhSw1duBbyu3mdrMYKwJ+ENgMwlY2A4YPd1sj68Adi
 ZPmXwcN73nKmZ8BafQvovk0JjCuIPwF4RSAdxB4gAEkMoWKAjPLfnZiKOLmxaDX2
 fwAhmHTFPtK9J1UciB7NrF04wHCH3RT3z3pQ1YjEuO4xui2WfSG5Xj2kjsP0AJIK
 hi8ZwYaj4IovoUgiLgFXGJDaD7P8G1gtpWC/H4oAqTxYSiHWGoc/5zzizCGHjzd0
 r06Z+qasQU8a2gSOJYDAp6ORZBeAAP8tcgoJEvLvUUiFa7fros9yvUgVG+F6uO16
 gfPH/2lYl6udqx/KVJt/E6etby8RHZ9Jqt7ZMzXbvGRuqxjzGDghnT27AVEdhWv6
 ADMFUgkYiiGEASEcmFDwRAKUTIEmC9qzgXgLhJXKvjHTIC9Z2Brcsqr/iX7TIs1D
 RhuXUqH684aLKBq0f75fo60KRAaEZihhQAdSASONfgbglO/uqEo2QhgWefFWBPv8
 mpHWow4AstkzDj7HvoHS1ZNueIxnlOXH/dn9k3VKbo518cJG1XcSky+ZSQkIZYOk
 gJYE4RowFEOThguGJIB1BMJKYv9Z17G6ZHGTPTA1y8zsnfzSPWNk+2TIrkaZmvJE
 ls7adq+ozK0HiDgWrvwdGk+AQGCtwcKACIRYpqa6ot/sVFFWe+ACWboulZqrIckA
 AjlQ3Sac8AeTFgLAg2Ux49zg6ITR6irqcYOLUL+P9LPrYMZ73FlrdrsoIzJmxs3G
 edNJGD4Yrgc2fXBIwCMNhoRHEiGbIHQM5E+BGPkE6fP+cJO/24T00IHHGm/AUnlJ
 7knvx3lw90UnmCPWPkQwHWy4L1cAABFN9eoOMkQQUkdhBdJhN5U8JdKTKsXBp5p0
 qLlmvGo8kQQpQVpBZnRnI5SdBAC/Dzwqhn522B6ydGlj9K45eKs1bH1dNtV4rMqH
 TEA3sPtAqGrXHKPgE4h4BLFAAiJoRUBH4KM4NFwIZsRND1F/IlQ0BqdoFfwndz4V
 bY2PxfAG78P6hUavuu5y0qtH9dKX3nR2xa7HyvrrNdrfwgBAp47GVLiUlCHBXhgq
 vTtkp/GBnwsas3wH7OYKWGYilBeFlT+UzEB6+rBlTDPvmQpVE+DJLzyhthaO8L0c
 SlIPhRZ5tZeuzY0WFlyKdU8uih99j1kohAw/DG3DlQRt+sGaANYAK5iK4eIUgiIV
 8cqf0Fi+t7d/YOE3Vd/+4SKX80vyM+8tTnXut9IiHf3764fEB+xeqf6c8p64tq15
 tvp+Yb5QGiw0wAacrAEtdodhaxiDhSivqm4X8IduNux6aGkCWoNTugEAdqt6SCTy
 8iFxEfzdi8Z31T3w4P6FqbEDqTPTivaWO9vfXcqHlnMSxykIDVsRXA7A8izAtgGt
 YWqGz9MwSEAgBQ4ESBpIJAv00yucVrrp65wjjUWxfZ/MKCx6I6XzqXGxk/saZfrQ
 hfLGSmiu29WG4g1gKxOmHYZK7say02jVzrD2zL7ifQgfNwShnU5SxxksIIQE/CEA
 QHpmBlkApjYoXpr9MHWpZFVbWpNCpd8+zTvmUbDlGNjvp7jwQVMiJCl40QZIXyLI
 MKC1hG0QHMMHh9Lg2VEIsk9/bIKsDFJNx6G2zxZ2+ZfTE45FU26avEkNLoNK+nag
 KhlcmqOaKmY5rccgpQWloxDdJxBX7RwIAE+/nydEKFarvXgYUJoEXLAwAed0+Oq1
 nPgp3A43vY3unRrT6W4N1w8apHRCJoRpMVECAAlICdtrY0gTcvAtUL2vZ1szIBwQ
 M2zY0AOuZXPArSDhBzyXXcOFYoaw/IDhByVmIKH32bGHC6tF0sPslo6bqfKO/NRF
 FX1NLhQkO3BCnSG6XhAPjX66/NKdV5sj38nVQhr1konAIBjwoBjgWAsAYM3TQVqT
 mUBml9Xi7OnLkNSjBQlZnRuNs6/ZrzP7krYjgGJQLMq+DkPIOOeB76NjnnhGdhhM
 PseFoQHDA3xeDEanASRGPjlND/jd926HC0h5DSx0G8xYBF5Wf1hdL399bceSk4c3
 3GPOPfmoBQCO2bhFnPiWLTMAVwkOdL8WJ2Cci+KNYt1nL6tN1OoXli0gwdCCoYSA
 0ATdfASxuh/69Tgvyqe23iJ+XzpZp33qU0Unemldeo79SGnxUKv/HdVhpwWk/Wye
 P4cC/e+8qS2/9ZLMQM4sEQuDSUOwAWICwYTV2oBgYvbcyKCzLt3UeCwP4xYSwcdt
 jgPfoDurp7YkPvzb+n768cfGezOyX7LdI2u3Gz8shiJFhlJwE9qRyu/zzqwOmYde
 m9aB0X41q3Ve3IC/txYJJSAkMFQCSasJbtFW9g/7w8YGICu7507KCbnGA9ukd18q
 VIc6YEnvG9yFTWWlgXEzc/xZ59B6X7zdxA6T2h7G7RoAyInBJQHPMqHhQMcZQXG6
 fkmfPqE55bcTWg7EV2d0uPK1elmxDzJvWOnilO7x8zOTjNq6FhWt+/GN2NdPjyS7
 GsLwgx3FoYGTqoyeN9yOl1i8+xExPgICABuR1PQWowZ7WRpDWDjwhAUdKyY69rW/
 qTU6MrVh8a4p1l7+IHkl1Q/1sKYB9kUfvSWN1PyRTqRqHgy1ZmJBv0Y0DhZWl3dO
 M2bahgEHrF0YrKA5Bv6rX+HJHxFquhp5fcsaKmInR6a3H36lFcx4bIzTYG220h23
 seKP3v5Vv+GqfawNSYZrs9n7euLh9z0LPInrxg/FR2dUciIxuX2zrbCOEjLhqiiI
 fXDJABe+l5RQc/gCtHtcccVKXL94HM+71KBrOkeNsY8fxm29BkgrIffxUf07fX9p
 bjOhfye3Y2jl6byQGdpTYNcGuS6E9k7nPwBgdhUVdW3gX0Fe9Kf39wQfy5iKX98p
 N1vpTrSpeLtT8OmTes9yhMxEsjwPXs655JlZ48xgymtTeZB/WZ89v+CUBH5kSZ3P
 N3wZfWA5UUh2kUDZsKv2smr9fpauKxp8vwThoY3c1X4DMIup8NpqPCLKaNKirsaF
 T0029ldvE8Pfek4+gKsZABwWgC8LRjAVFEiG58uEQQIc234eklO9QRPvZloPVXAk
 4v2wJNPHq1Ywx2ufN4o3jLQ3TRMQhLhqg0rIAo14GOXDphVx8Gz5PO2LJxO8MwEY
 eAvsLh6+nnK2PyCKPwvZ0iWDJXzUjiI/LAAHcrYuGYjEtHHXiC2vr+WJv+uj+p28
 kwf0fp/xQK2vPa6NF065TBpdWqgydyl1qwK7ybkvih6/UrZpeD5HaCUjZiypq2EF
 Ru38fOsY44qBcyVeGezN7/KMMbRmo3oN4+lmx/vMb6X/3vIFmJlIBVJhXPBEa2vu
 wDELa62T9lMz5R3fpmBFxkOaPjqDpX7wp3YCACKN5WXhD6/UsWeDHF6Yy+68rhyf
 n6rrl/fh6I7l3wHAV3hJeu/BwH3PiefmDxUPlXYPbkSNEcEg8n/1hfHEpKnyseaA
 gQgkPnQFfvprvcEdCQCunTbM+OOEm8TNuyBx+amfKZ2bNn0uAMDbvijL3v4Cx58G
 25/cxk5LTRkA8H7DxO4+5qhHbxb8j4R00cdZ9NyCFQIA7ILVHH2pC3vz0zm2oD23
 zu/AzgvtuGXJII4cfIu57KsRB51IHgB8tbaXOLCwp1keOGqU+RcIvDFVJB0bJdPq
 IO6tgbxrKug3+A0dGXG5LDoBH9fA2nb8dO7VHK7pUFmyY2BbyTflsWNfc9vLPTuX
 NWzvBgDq1OHGyJujOLygI9vHN1ac5j3nWls6jhbd73jRwIo54l/2B1rq902yCjZ/
 5u6cz6YFcoUFQ2lIOwzXDLK/52XEZ/9a26ldZ7/iFD3/RNbFkZ9/rma6lX5DHa09
 dOmcEI94aYf+R3rUbm2ci1M/hSnWNFuX7yBdsQVerI6tdv1I548FBXNepS5j6qhi
 +/TwF7ci0Pc20LmPP7XS1/nFvETWR2c9x3tueBtvdiv0/glA5TBQhzdYxLrUvKa3
 zLxb7FvFSAiQQx5I+GCwgue2QRshWJ1Hw9flghqdO9xBMDOkm8sn+nLO2fWPB26s
 3jEwMbnnQhFv6RyrPuyZtT/mo3Q9vKYCAAoaQZhGEEa8FeQSuylZ5OYPQqDTSI4e
 +ohk3XG4Z989I3XCjJlH8SvhX7becPoBPYbD+WcNqPWi65oFVHzl1woAomvuCluF
 nyd6ZLI2NGkWsDmAADyYdgsch6GT8mBk92SR2Y1kYjbInwltmIBy4LmtUC3l4JOH
 QE0lbLaWkas8cDADMEwYHkDKYi+UQI6UMOwWkN3GiEXJkkGQ3w+ONjHOnUJVXc/v
 2nnrxKqlV4+SU9ZusXEd/T86NEuY0LpG/CrvQbG++wX6E0v7roj0260KPu/j1h6C
 HwTty4AiBRYOCIC0JVg58GQMxALMBEECRAzNLsAEIYzTBTgRyI1DuQoykAxknA30
 mggrNWNps2s0WI3HLvbb9YNV/XE4TUdZOU1kxTwoXxJ4xOQVoXOn3RW5PGg0rrlQ
 d8Ra/U8A1nC2NJanoHVpO2TctY3G/Rae//M8q2n4mnou2xpSRz5go/IgCeEhZvnA
 BsFHfmg2wZLAEBAAiDWEckCsQMqFUh4UFOBLAmX0ZNHhfLJyhoEyurd+G/J6LOfE
 5o9rEpy3cn2Z55au8vVI7v+Wq7yxXrwSvvqTcCv2IJ7dC6mjHqeUjcd87Tctcwvm
 vvAzAGP3kEE0bO8+vuy1MH/QNUo3JxXwR4d7YsvaInk8aQIHsvsnbYs0pZ6TN7IE
 x79qRlNJvlVXCBU9CbhhCDcO2MyAIiEALQxWlEDCF4LwhSCS2oNS8sKU2bsR2QOk
 yug11/CFXgWAOYvfNda/fLMueJeM62b2avjzrYyNvQrHnelH0VOHXvFrfSPwOBJz
 3tIx+5d+Zgx7e6NIe2cgt6YP5hsnfKYnNn1B16QW6V1Xj6brH2/VxRhAo7d/14yL
 L0sFgHjdsbm+qr1x3VJMsbpS00zNmyCDyYO1pyBNC6Yvmeyj62fKjC6kk/NZZJ5F
 MrH9RjOzyy86OM9MY5o24yM1LW8zwYI60KS4qEdMDL99nFHx9kZdPi9R9L7iMQ62
 63M/gPu/n7RTDls1gg/+BPQ/o80LDPZEvxXXirmvQvyr7lBe9THq0fijTOdGeeZ4
 XRlkuPxPGZHGXZ1bT23vEm8szotEWzvjy1oDzNZfSSn6X3VDU1P+5ZzBOP0QRnL2
 UkPmfsJ/5b/yn5P/AWsLAfCEONIaAAAAAElFTkSuQmCC

Package: asterisk-dev
Architecture: all
Recommends: asterisk
Section: devel
Priority: extra
Replaces: asterisk (<< 1:1.4.21.1~dfsg-1)
Description: Development files for Asterisk
 Asterisk is an Free Software PBX and telephony toolkit.
 .
 This package contains the include files used if you wish to compile a
 package which requires Asterisk's source file headers.

Package: asterisk-dbg
Architecture: any
Depends: asterisk (= ${binary:Version})
Section: debug
Priority: extra
Description: Debugging symbols for Asterisk
 Asterisk is an Free Software PBX and telephony toolkit.
 .
 This package includes the debugging symbols useful for debugging
 Asterisk. The debugging symbols are used for execution tracing and core 
 dump analysis. 

Package: asterisk-sounds-main
Architecture: all
Recommends: asterisk
Replaces: asterisk-sounds-extra
Description: Core Sound files for Asterisk (English)
 Asterisk is an Free Software PBX and telephony toolkit.
 .
 This package contains the default (core) sound files in English, useful for
 the operation of Asterisk.

Package: asterisk-config
Recommends: asterisk
Conflicts: asterisk-config-custom
Architecture: all
Description: Configuration files for Asterisk
 Asterisk is an Free Software PBX and telephony toolkit.
 .
 This package contains the default configuration files of Asterisk.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

export PROC := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	BUILDFLAGS += OPTIMIZE=-O0
else
	BUILDFLAGS += OPTIMIZE=-O2
endif
BUILDFLAGS += MAKECMDGOALS=dont-optimize

# show full gcc arguments instead of [CC] and [LD]
BUILDFLAGS += NOISY_BUILD=yes

BUILDFLAGS += ASTDATADIR=/opt/asterisk/share ASTVARRUNDIR=/var/run/asterisk ASTCONFPATH=/opt/asterisk/etc/asterisk.conf ASTETCDIR=/opt/asterisk/etc ASTVARLIBDIR=/opt/asterisk/var/lib ASTLIBDIR=/opt/asterisk/lib ASTLOGDIR=/opt/asterisk/var/log

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
DEB_NOEPOCH_VERSION:=$(shell echo $(DEBVERSION) | cut -d':' -f 2)
DEB_SRC_VERSION:=$(shell echo $(DEB_NOEPOCH_VERSION) | sed -e 's/-[0-9.]*$$//')
UPVERSION:=$(shell echo $(DEB_SRC_VERSION) | sed -e 's/[.~]dfsg//' -e 's/~\(\(rc\|beta\)[0-9]\)/-\1/')

FILENAME := asterisk_$(DEB_SRC_VERSION).orig.tar.gz
UPFILENAME := asterisk_$(UPVERSION).orig.tar.gz
URL := http://downloads.asterisk.org/pub/telephony/asterisk/releases/asterisk-$(UPVERSION).tar.gz

# make sure we have 'fetch' . We need to have either wget or fetch
# on the system. However it is generally not a good idea to actually
# get remote tarballs at build time. So if neither wget nor fetch 
# happen to be installed, the configure script will find a dummy
# fetch script that always returns an error.
FETCH_ENV = PATH=$$PATH:$(CURDIR)/debian/dummyprogs

config.status:
	dh_testdir

	[ -f .version.debian_sav ] || cp -a .version .version.debian_sav
	echo $(DEB_NOEPOCH_VERSION) > .version

	if [ ! -r configure.debian_sav ]; then cp -a configure configure.debian_sav; fi

	chmod 755 $(CURDIR)/debian/dummyprogs/fetch
	
	$(FETCH_ENV) ./configure \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/opt \
		--bindir=\$${prefix}/asterisk/bin \
		--sbindir=\$${prefix}/asterisk/sbin \
		--sysconfdir=\$${prefix}/asterisk/etc \
		--localstatedir=\$${prefix}/asterisk/var \
		--libdir=\$${prefix}/asterisk/lib \
		--includedir=\$${prefix}/include \
		--datarootdir=\$${prefix}/asterisk/share \
		--datadir=\$${prefix}/asterisk/share \
		--infodir=\$${prefix}/asterisk/info \
		--localedir=\$${prefix}/asterisk/localedir \
		--mandir=\$${prefix}/asterisk/share/man \
		--docdir=\$${prefix}/asterisk/doc \
		--htmldir=\$${prefix}/asterisk/doc/html

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: config.status
	dh_testdir
	$(FETCH_ENV) $(MAKE) $(BUILDFLAGS)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: config.status
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	
	# Don't remove soundfiles or builder will have to download them again
	sed -i -e 's/rm -f \*.tar.gz//g' sounds/Makefile
	
	GREP=grep AWK=awk $(MAKE) distclean
	-$(RM) -rf debian/build

	if [ -r configure.debian_sav ]; then mv configure.debian_sav configure; fi
	-test -d configs && chmod -x configs/*.sample
	-$(RM) -f build-arch-stamp build-indep-stamp install-arch install-indep
	-$(RM) -f config.status menuselect.makeopts

	[ ! -f .version.debian_sav ] || mv .version.debian_sav .version

	# these were generated while building
	-$(RM) -f doc/core-en_US.xml utils/poll.c

	dh_clean

install: install-arch install-indep
install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s
	
	$(FETCH_ENV) $(MAKE) $(BUILDFLAGS) DESTDIR=$(CURDIR)/debian/tmp install
	cp -a configs $(CURDIR)/debian/tmp/opt/asterisk/share/conf

	mkdir -p $(CURDIR)/debian/tmp/usr/share/icons/hicolor/scalable/hildon
	mkdir -p $(CURDIR)/debian/tmp/usr/share/icons/hicolor/48x48/hildon
	mkdir -p $(CURDIR)/debian/tmp/usr/share/applications/hildon
	mkdir -p $(CURDIR)/debian/tmp/opt/asterisk/bin
	mkdir -p $(CURDIR)/debian/tmp/etc/sudoers.d

	cp -p $(CURDIR)/debian/asterisk-64x64.xpm $(CURDIR)/debian/tmp/usr/share/icons/hicolor/scalable/hildon/asterisk.xpm
	cp -p $(CURDIR)/debian/asterisk-48x48.xpm $(CURDIR)/debian/tmp/usr/share/icons/hicolor/48x48/hildon/asterisk.xpm
	cp -p $(CURDIR)/debian/asterisk.desktop $(CURDIR)/debian/tmp/usr/share/applications/hildon
	cp -p $(CURDIR)/debian/asterisk-maemo $(CURDIR)/debian/tmp/opt/asterisk/bin/
	chmod 755 $(CURDIR)/debian/tmp/opt/asterisk/bin/asterisk-maemo
	cp -p $(CURDIR)/debian/asterisk.sudoers $(CURDIR)/debian/tmp/etc/sudoers.d/


	dh_install -s --sourcedir=debian/tmp

	# XXX
	$(RM) -f $(CURDIR)/debian/asterisk/usr/sbin/streamplayer
	$(RM) -f $(CURDIR)/debian/asterisk/usr/sbin/stereorize
	$(RM) -f $(CURDIR)/debian/asterisk/usr/sbin/hashtest*
	$(RM) -f $(CURDIR)/debian/asterisk/usr/sbin/refcounter
	touch $@

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i

	$(FETCH_ENV) $(MAKE) $(BUILDFLAGS) DESTDIR=$(CURDIR)/debian/tmp install samples

	dh_install -i --sourcedir=debian/tmp

	# create a simple config
	mkdir -p $(CURDIR)/debian/asterisk-config/opt/asterisk/etc/manager.d
	echo "; please read the documentation regarding the Manager Interface (asterisk-doc package)" > \
		$(CURDIR)/debian/asterisk-config/opt/asterisk/etc/manager.d/README.conf
	touch $@

binary: binary-indep binary-arch
binary-indep: install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installlogrotate -i 
	dh_installexamples -i
	dh_installcron -i
	dh_installchangelogs ChangeLog -i
	dh_link -i 
	dh_compress -i
	dh_fixperms -i
	# should follow dh_fixperms; asterisk configurations may contain
	# sensitive information, such as passwords
	chmod o-rwx $(CURDIR)/debian/asterisk-config/opt/asterisk/etc/*
	chmod o+rx  $(CURDIR)/debian/asterisk-config/opt/asterisk/etc/manager.d
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installlogrotate -a
	dh_installman utils/*.1 doc/*.8 contrib/scripts/*.8
	dh_installexamples -a
	dh_installchangelogs ChangeLog -a
	dh_installinit -a -- defaults 21
	dh_strip -a --dbg-package=asterisk-dbg
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"

TMP_TARBALL_TOP=../tarballs/asterisk-$(UPVERSION).tmp/asterisk-$(UPVERSION)
get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -nv -T10 -t3 -O ../tarballs/$(FILENAME) $(URL)

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install clean
